/* ================ Reset ================ */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
}

li { list-style: none; }

a { text-decoration: none; }

img, video { -webkit-user-drag: none; }



/* ================ Background ================ */
html {
    background-color: black;
}

body {
    --s: 80px; 
    --c1: #000000;
    --c2: #090909;

    --_g: 
    #0000 calc(-650%/13) calc(50%/13),var(--c1) 0 calc(100%/13),
    #0000 0 calc(150%/13),var(--c1) 0 calc(200%/13),
    #0000 0 calc(250%/13),var(--c1) 0 calc(300%/13);
    --_g0: repeating-linear-gradient( 45deg,var(--_g));
    --_g1: repeating-linear-gradient(-45deg,var(--_g));
    background:
    var(--_g0),var(--_g0) var(--s) var(--s),
    var(--_g1),var(--_g1) var(--s) var(--s) var(--c2);
    background-size: calc(2*var(--s)) calc(2*var(--s));
}



/* ================ Header ================ */
header {
    display: flex;
    align-items: center;
    justify-content: center;
    background:  linear-gradient(rgb(24,24,24), rgb(15,15,15));
    box-shadow: black 0 0 15px;
    height: 80px;
}

header h1 {
    text-align: center;
}



/* ================ Main ================ */
main {
    padding-bottom: 40px;
    margin: 0 auto;
    max-width: 1080px;
    padding-left: 10px;
    padding-right: 10px;
}



/* ================ Section ================ */
section {
    min-height: 500px;
    margin-top: 30px;
    background: rgb(15,15,15, 0.85);
    box-shadow: rgba(0,0,0, 0.50) 0 0 15px;
}

section, section h2 {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

section h2 {
    display: flex;
    align-items: center;
    justify-content: center;
    
    text-align: center;
    background: linear-gradient(rgb(49, 2, 49), rgb(39, 2, 39));
    height: 40px;
}


/* ================ Content ================ */
section ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding: 10px;
}

section li {
    background: black;
    overflow: hidden;
    border-radius: 5px;
    
    margin: 5px;
    margin-top: 10px;
    margin-bottom: 10px;
    box-shadow: rgba(0,0,0, 0.50) 0 0 12px;
}

section img {
    object-fit: cover;
    width: 100%;
    aspect-ratio: 2/3;
}

section p {
    display: flex;
    align-items: center;
    justify-content: center;

    white-space: nowrap;
    font-weight: 500;
    height: 30px;
}



/* ================ Content ================ */
section img {
    background-color: rgb(32,32,32);
}


/* ================ Links ================ */
section li:hover {
    box-shadow: rgba(32,32,32, 0.66) 0 0 12px;
}

section li:hover img {
    filter: brightness(1.12);
}

section li:hover p {
    color: darkorange;
}

section img {
    transition: filter 120ms;
}



/* ================ Texts ================ */
h1, h2, p {
    font-family: system-ui;
    color: white
}


/* ================ Footer ================ */
footer {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 85px;
    background:  linear-gradient(rgb(32,32,32), black);
    box-shadow: rgba(0,0,0, 0.50) 0 0 15px;
}

footer h1 {
    text-align: center;
    text-shadow: black 0 0 15px;
}